#version 420 core 

layout(location = 0) in vec3 pos; 
layout(location = 1) in vec2 inTexCoord;
layout(location = 2) in vec3 normals; 

layout(std140, binding = 0) uniform Camera
{
    mat4 projection;
    mat4 view;
};

layout(std140, binding = 2) uniform Light
{
    vec3 position;
    vec3 color;
} light_v;

uniform mat4 model;

out vec2 texCoord;

void main() 
{ 
    gl_Position = projection * view * model * vec4(pos, 1.0);
    texCoord = inTexCoord;
} 
